"use strict";

this.name = "ahruman-escort-test-mother.js";


(function () {

var flyAhead = true;

const scale = 500;


this.coordinatesForEscortPosition = function (index, count)
{
	var angle = (Math.PI * 2 * index / count);
	
	var z;
	if (flyAhead)
	{
		z = 3;
		angle += clock.absoluteSeconds / 10;
		this.ship.updateEscortFormation();	// because the formation is animated, we want it refreshed every frame.
	}
	else
	{
		z = -2;
	}
	
	var s = Math.sin(angle);
	var c = Math.cos(angle);
	
	return [s * scale, c * scale, z * scale];
}


this.$timer = new Timer(this, function ()
{
	flyAhead = !flyAhead;
	this.ship.updateEscortFormation();
}, 30, 60);

}).call(this);
